/*****************************************************************************
 *          Copyright: (C) Copyright David Goodwin, 2014
 *            License: GNU General Public License
 *****************************************************************************
 *
 *   This is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This software is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this software; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ****************************************************************************/

#ifndef ABSTRACTDATASOURCE_H
#define ABSTRACTDATASOURCE_H

#include <QObject>

#include <QString>

class AbstractDataSource : public QObject {
    Q_OBJECT

public:
    explicit AbstractDataSource(QObject *parent = 0);
    ~AbstractDataSource();

    virtual bool openDevice();
    virtual bool closeDevice();

    virtual void startCollecting() = 0;
    virtual void stopCollecting() = 0;

signals:
    void newData(float temperature);
    void newTempHumData(float temperature, float humidity);

    void messageOutput(QString message);
    void error(QString title, QString message);

protected:
    bool deviceOpen;
};

#endif // ABSTRACTDATASOURCE_H
