------------------------------------------------------------------------------
--          Copyright: (C) Copyright David Goodwin, 2016
--            License: GNU General Public License
------------------------------------------------------------------------------
--
--   This is free software; you can redistribute it and/or modify
--   it under the terms of the GNU General Public License as published by
--   the Free Software Foundation; either version 2 of the License, or
--   (at your option) any later version.
--
--   This software is distributed in the hope that it will be useful,
--   but WITHOUT ANY WARRANTY; without even the implied warranty of
--   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--   GNU General Public License for more details.
--
--   You should have received a copy of the GNU General Public License
--   along with this software; if not, write to the Free Software
--   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--
------------------------------------------------------------------------------

-----------------------------------------------------------------------------
-- TempView v2 schema for PostgreSQL ----------------------------------------
-----------------------------------------------------------------------------
--
-- Upgrades a TempView schema level 1 database to schema level 2 for use with
-- TempView 2.0.0+
--

begin;

-- Add new columns to support humidity and dew point
alter table sample add column humidity real;
comment on column sample.humidity is 'Humidity reading';
alter table sample add column dew_point real;
comment on column sample.dew_point is 'Calculated dew point';

-- Bump schema level to v2
update db_info set v = '2' where k = 'DB_VERSION';

-- The new columns we've added are all nullable so TempView 1.0.0 should be
-- able to log to it just fine. No need to blacklist anything.

commit;